package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.vendabilheteidoso;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.service.CategoriaService;
import com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.eventos.EventListenerBtnPesquisar;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.MyTextbox;

public class EventListenerBtnPesquisarTipoPassagem extends EventListenerBtnPesquisar<CategoriaService, Categoria> {

	public EventListenerBtnPesquisarTipoPassagem(String beanService, MyListbox listBox, MyTextbox textoDePesquisa, 
			String tituloRelatorio) {
		super(beanService, listBox, textoDePesquisa, tituloRelatorio);
	}

	@Override
	protected Categoria incluiTodos(int valorPk, String valorDescricao) {
		Categoria categoria = new Categoria(valorPk);
		categoria.setDesccategoria(valorDescricao);
		return categoria;
	}

	@Override
	protected List<Categoria> buscaRegistros(CategoriaService service, String valorAPesquisar) {
		return service.buscarCategoriaPesquisada(valorAPesquisar);
	}
}
